package com.ruoyi.bst.order.domain;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderVO extends Order {

    @ApiModelProperty("运营区名称")
    private String areaName;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("支付单号")
    private String payNo;

    @ApiModelProperty("支付已退款金额")
    private BigDecimal payRefunded;

    @ApiModelProperty("支付退款中金额")
    private BigDecimal payRefunding;

    @ApiModelProperty("支付时间")
    private LocalDateTime payTime;

    @ApiModelProperty("支付渠道名称")
    private String payChannelName;

    @ApiModelProperty("用户手机号")
    private String userPhone;

    @ApiModelProperty("设备剩余电量（%）")
    private BigDecimal deviceRemainingPower;

    @ApiModelProperty("设备锁状态")
    private String deviceLockStatus;
}
