package com.ruoyi.bst.order.domain.bo;

import com.ruoyi.bst.device.domain.DeviceVO;
import com.ruoyi.bst.order.domain.Order;
import com.ruoyi.bst.order.domain.dto.OrderCreateDTO;
import com.ruoyi.bst.order.domain.vo.OrderPrePriceVO;
import com.ruoyi.bst.suit.domain.SuitVO;
import com.ruoyi.common.core.domain.vo.UserVO;

import lombok.Data;

@Data
public class OrderCreateBO {

    // 原始参数
    private OrderCreateDTO dto;
    
    // 套餐
    private SuitVO suit;

    // 设备
    private DeviceVO device;

    // 下单用户
    private UserVO user;
    
    // 计算的价格信息
    private OrderPrePriceVO prePrice;

    // 生成的订单
    private Order order;

}
